IResultDistributionCriterion
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.stubs
Class IResultDistributionCriterion

    java.lang.Object
      org.gcube.dir.master.stubs.ISelectionCriterion
          org.gcube.dir.master.stubs.IResultDistributionCriterion

All Implemented Interfaces:
  java.io.Serializable

    public class IResultDistributionCriterion

extends ISelectionCriterion
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`IResultDistributionCriterion()`
`IResultDistributionCriterion(int numberOfResults)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`int` | `getNumberOfResults()` Gets the numberOfResults value for this IResultDistributionCriterion.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setNumberOfResults(int numberOfResults)` Sets the numberOfResults value for this IResultDistributionCriterion.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IResultDistributionCriterion

    public IResultDistributionCriterion()

### IResultDistributionCriterion

    public IResultDistributionCriterion(int numberOfResults)

Method Detail

### getNumberOfResults

    public int getNumberOfResults()

  Gets the numberOfResults value for this IResultDistributionCriterion.

  Returns:
    numberOfResults

### setNumberOfResults

    public void setNumberOfResults(int numberOfResults)

  Sets the numberOfResults value for this IResultDistributionCriterion.

  Parameters:
    `numberOfResults` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `ISelectionCriterion`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ISelectionCriterion`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD